Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

So, I'm trying to publish my app in my PPA, but I'm having problems related with building my app. Here you have the output:

/bin/sh: 1: glib-compile-schemas: not found
make[1]: *** [override_dh_install] Error 127
make[1]: Leaving directory `/build/buildd/virtuam-0.1ubuntu1'
make: *** [binary] Error 2
dpkg-buildpackage: error: /usr/bin/fakeroot debian/rules binary gave error exit status 2
******************************************************************************
Build finished at 20120709-2102
FAILED [dpkg-buildpackage died]
******************************************************************************

Even following the solutions posted in Launchpad failed to build after "quickly submitubuntu", I have no luck. What should I do?

The build error is this: https://launchpadlibrarian.net/109704402/buildlog_ubuntu-precise-i386.virtuam_0.1ubuntu1_FAILEDTOBUILD.txt.gz

share|improve this question
    
It seems we were wrong to close this. On second look, it seems like a separate, not too localized problem with a perfectly good solution that will help others. I recommend we reopen this, and then make that question a duplicate of this. Otherwise, people searching with this issue will be very confused when they get here and might not get an answer. –  Eliah Kagan Dec 29 '12 at 21:58

3 Answers 3

up vote 5 down vote accepted

Your build dependencies are incomplete. From your build log I can see that it tries to install (upgrade) the libglib2.0-0 package. However, glib-compile-schemas is provided by the libglib2.0-bin package which is not a dependency of libglib2.0-0.

To solve this, add libglib2.0-dev as build dependency which will install both libglib2.0-bin and libglib2.0-0.

share|improve this answer
    
OK, thanks... solved myself, but, as is the same solution, I give you the merit ;) –  espectalll123 Jul 9 '12 at 22:22

The missing dependency on libglib2.0-bin for glib-compile-schemas is actually a quickly bug. The fix is in precise-proposed. See Launchpad failed to build after "quickly submitubuntu".

share|improve this answer

It looks like you aren't specifying all of your build dependencies in the debian/control file.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.